Subject: Re: BFD 2.16.1 assertion fail

From: jschopp <[email-masked]>
Date: Wed, 12 Apr 2006 06:28:36 -0500

If you just want a working cross compiler these tend to be pretty good:
http://developer.osdl.org/dev/plm/cross_compile/

Or if you insist on doing your own crosstool is a very good idea:
http://www.kegel.com/crosstool/

-Joel

Sai prasanna wrote:
> 
>     Date: Wed, 12 Apr 2006 00:04:59 -0700 (PDT)
>     From: Sai prasanna <[email-masked]>
>     Subject: BFD 2.16.1 assertion fail
>     To: linux project group <[email-masked]>
>     CC: [email-masked]
> 
>     Hi All,
> 
>     I Have been trying to build across compiler for power-ppc-linux-gnu
>     I have succesfully installed binutils-2.16.1, first phase gcc-4.0.3,
>     glibc-2.3.6 and then when i finally tried to install the final gcc
>     ima getting eror such as
> 
>     /home/foo/build-install/powerpc-ppc-linux-gnu/bin/ld: BFD 2.16.1
>     assertion fail../../binutils-2.16.1/bfd/elf32-ppc.c:5397
>     collect2: ld returned 1 exit status
>     make[3]: *** [libmudflap.la] Error 1
>     make[3]: Leaving directory
>     `/home/foo/build-gcc/powerpc-ppc-linux-gnu/libmudflap'
>     make[2]: *** [all-recursive] Error 1
>     make[2]: Leaving directory
>     `/home/foo/build-gcc/powerpc-ppc-linux-gnu/libmudflap'
>     make[1]: *** [all] Error 2
>     make[1]: Leaving directory
>     `/home/foo/build-gcc/powerpc-ppc-linux-gnu/libmudflap'
>     make: *** [all-target-libmudflap] Error 2
> 
>     I have used the following gcc configuration opitons
> 
>     [root@localhost build-gcc]# ../gcc-4.0.3/configure
>     --host=i686-pc-linux-gnu --target=powerpc-ppc-linux-gnu
>     --prefix=/home/foo/build-install --enable-languages=c,c++
> 
>     Some one please help me with this.
> 
>     Regards,
>     Sai     
> 
> 
>     Sai Prasanna.S,
>     Department Of ComputerScience,
>     University Of Madras,
>     Chennai.
> 
>     Ph: 9940357430
>     Email: [email-masked]
>     ------------------------------------------------------------------------
>     Love cheap thrills? Enjoy PC-to-Phone calls to 30+ countries
>     <http://us.rd.yahoo.com/mail_us/taglines/postman9/*http://us.rd.yahoo.com/evt=39666/*http://beta.messenger.yahoo.com/>
>     for just 2ï¿½/min with Yahoo! Messenger with Voice.
> 
> 
> ------------------------------------------------------------------------
> Yahoo! Messenger with Voice. 
> <http://us.rd.yahoo.com/mail_us/taglines/postman3/*http://us.rd.yahoo.com/evt=39666/*http://beta.messenger.yahoo.com> 
> PC-to-Phone calls for ridiculously low rates.
> 
> 
> ------------------------------------------------------------------------
> 
> _______________________________________________
> Linuxppc-dev mailing list
> [email-masked]
> https://ozlabs.org/mailman/listinfo/linuxppc-dev